package models

import (
	"git.apinb.com/bsm-sdk/core/database"
	"git.apinb.com/bsm-sdk/core/types"
)

type MallProductAttr struct {
	types.Std_ID
	ProductID int32  `gorm:"column:product_id;index;not null;" json:"product_id"`
	Name      string `gorm:"column:name;type:varchar(255);default:'';" json:"name"`   // 属性名称
	ParentID  int32  `gorm:"column:parent_id;" json:"parent_id"`                      // 父级属性id
	Value     string `gorm:"column:value;type:varchar(255);default:'';" json:"value"` // 属性值
}

func init() {
	database.AppendMigrate(&MallProductAttr{})
}

// TableName .
func (table *MallProductAttr) TableName() string {
	return "mall_product_attr" //对应数据库表名
}
